Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: peripheral::GatewaySensorManager::RemoteSnmpV3Device Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
peripheral::GatewaySensorManager::RemoteSnmpV3Device Struct Reference
Inheritance diagram for peripheral::GatewaySensorManager::RemoteSnmpV3Device:

## Public Attributes
string | user
| security user name
SnmpSecurityLevel | level
| security level (noAuthNoPriv|authNoPriv|authPriv)
SnmpAuthProtocol | authProtocol
| authentication protocol (MD5|SHA|SHA-224|SHA-256|SHA-384|SHA-512)
string | authPassphrase
| authentication protocol passphrase
SnmpPrivProtocol | privacyProtocol
| privacy protocol (DES|AES|AES-192|AES-256)
string | privacyPassphrase
| privacy protocol pass phrase
Public Attributes inherited from peripheral::GatewaySensorManager::RemoteSnmpDevice
string | host
| host
Public Attributes inherited from peripheral::GatewaySensorManager::RemoteDevice
string | deviceId
| remote device id
boolean | disabled
| prevents usage of all sensor specifications which reference this device
string | name
| human readable remote device name
int | timeoutMs
| communication access timeout, 0 = default
int | retry
| communication retry count, 0 = default

## Detailed Description

Definition at line 354 of file GatewaySensorManager.idl.

## Member Data Documentation

## ◆ authPassphrase

string peripheral::GatewaySensorManager::RemoteSnmpV3Device::authPassphrase

authentication protocol passphrase

Definition at line 358 of file GatewaySensorManager.idl.

## ◆ authProtocol

SnmpAuthProtocol peripheral::GatewaySensorManager::RemoteSnmpV3Device::authProtocol

authentication protocol (MD5|SHA|SHA-224|SHA-256|SHA-384|SHA-512)

Definition at line 357 of file GatewaySensorManager.idl.

## ◆ level

SnmpSecurityLevel peripheral::GatewaySensorManager::RemoteSnmpV3Device::level

security level (noAuthNoPriv|authNoPriv|authPriv)

Definition at line 356 of file GatewaySensorManager.idl.

## ◆ privacyPassphrase

string peripheral::GatewaySensorManager::RemoteSnmpV3Device::privacyPassphrase

privacy protocol pass phrase

Definition at line 360 of file GatewaySensorManager.idl.

## ◆ privacyProtocol

SnmpPrivProtocol peripheral::GatewaySensorManager::RemoteSnmpV3Device::privacyProtocol

privacy protocol (DES|AES|AES-192|AES-256)

Definition at line 359 of file GatewaySensorManager.idl.

## ◆ user

string peripheral::GatewaySensorManager::RemoteSnmpV3Device::user

security user name

Definition at line 355 of file GatewaySensorManager.idl.

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl